"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const elasticsearch_store_1 = require("elasticsearch-store");
exports.default = {
    create() {
        throw new Error('elasticsearch-next does not support the deprecated "create" method');
    },
    async createClient(customConfig, logger) {
        return (0, elasticsearch_store_1.createClient)(customConfig, logger);
    },
    config_schema() {
        return {
            node: {
                doc: 'A list of hosts to connect to',
                default: ['http://127.0.0.1:9200']
            },
            sniffOnStart: {
                doc: 'Sniff hosts on start up',
                default: false
            },
            sniffOnConnectionFault: {
                doc: 'Sniff hosts on connection failure',
                default: false
            },
            requestTimeout: {
                doc: 'Request timeout',
                default: 120000,
                format: 'duration'
            },
            maxRetries: {
                doc: 'Maximum retries for a failed request',
                default: 3
            }
        };
    }
};
//# sourceMappingURL=elasticsearch-next.js.map